apps:
  coffee:
    image: nginxdemos/hello:plain-text
    replicas: 2
  tea:
    image: nginxdemos/hello:plain-text
    replicas: 3

ingress:
  name: cafe-ingress
  rules:
  - host: cafe.example.com
    paths:
    - path: /tea
      type: Prefix
      app: tea
    - path: /coffee
      type: Prefix
      app: coffee

vikingAdmSvc: varnish-ingress-admin

# This configuration reconstructs vcl_recv from builtin.vcl,
# see:
# https://github.com/varnishcache/varnish-cache/blob/6.3/bin/varnishd/builtin.vcl
reqDisposition:
  # If the request method is "PRI", then send a synthetic "405
  # Method Not Allowed" response.
  - conditions:
    - comparand: req.method
      compare: equal
      values:
        - PRI
    disposition:
      action: synth
      status: 405

  # Reject an HTTP/1.1 request with a synthetic "400 Bad Request"
  # response if it doesn't have a Host header.
  - conditions:
    - comparand: req.http.Host
      compare: not-exists
    - comparand: req.esi_level
      count: 0
    - comparand: req.proto
      compare: prefix
      values:
        - HTTP/1.1
      match-flags:
        case-sensitive: false
    disposition:
      action: synth
      status: 400

  # Go to pipe mode for any request whose method is CONNECT, or a
  # non-standard method.
  - conditions:
    - comparand: req.method
      compare: not-equal
      values:
        - GET
        - HEAD
        - PUT
        - POST
        - TRACE
        - OPTIONS
        - DELETE
        - PATCH
    disposition:
      action: pipe

  # Bypass cache lookup if the request method is neither of GET or
  # HEAD.  Note that we only get here if the previous conditions did
  # not evaluate to true, so the method must be one of PUT, POST,
  # TRACE, OPTIONS, DELETE or PATCH.
  - conditions:
    - comparand: req.method
      compare: not-equal
      values:
        - GET
        - HEAD
    disposition:
      action: pass

  # Bypass cache lookup if the request has a Cookie header.
  - conditions:
    - comparand: req.http.Cookie
      compare: exists
    disposition:
      action: pass

  # Bypass cache lookup if the request has an Authorization header;
  # that is, if it is sending credentials for basic or proxy
  # authentication.
  - conditions:
    - comparand: req.http.Authorization
      compare: exists
    disposition:
      action: pass

# If none of the conditions evaluate to true, then the request
# proceeds to cache lookup.
